Bug 62663 - Konqueror crashes with SIGSEGV
Konqueror crashes with SIGSEGV
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: kdebase (Show other bugs)
7.2
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Ngo Than
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-04-03 17:43 EST by John Francisco
Modified: 2007-04-18 12:41 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-20 10:05:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description John Francisco 2002-04-03 17:43:20 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.5; Windows NT 5.0; T312461)

Description of problem:
Konqueror crashes within seconds of it opening up consistently, even after a
reboot. Update Agent says that my system is totally updated. I've included the 
dump.
(no debugging symbols found)...(no debugging symbols found)...
0x40e41ca9 in __wait4 () from /lib/i686/libc.so.6
#0  0x40e41ca9 in __wait4 () from /lib/i686/libc.so.6
#1  0x40ebd6b4 in __DTOR_END__ () from /lib/i686/libc.so.6
#2  0x405fd1e8 in KCrash::defaultCrashHandler () from /usr/lib/libkdecore.so.3
#3  <signal handler called>
#4  0x40e08246 in chunk_free (ar_ptr=0x40ebbb80, p=0x81c1fa0) at malloc.c:3242
#5  0x40e07ff4 in __libc_free (mem=0x81c1fa8) at malloc.c:3154
#6  0x406b1b66 in __builtin_delete (ptr=0x81c1fa8) from /usr/lib/libfam.so.0
#7  0x406b1b8f in __builtin_vec_delete (ptr=0x81c1fa8)
   from /usr/lib/libfam.so.0
#8  0x4082e631 in QPixmap::convertFromImage ()
   from /usr/lib/qt-2.3.1/lib/libqt.so.2
#9  0x408a8986 in QPixmap::convertFromImage ()
   from /usr/lib/qt-2.3.1/lib/libqt.so.2
#10 0x401bee9b in KIO::PreviewJob::slotThumbData ()
   from /usr/lib/libksycoca.so.3
#11 0x4023a263 in KIO::TransferJob::data () from /usr/lib/libkio.so.3
#12 0x40280795 in KIO::TransferJob::slotData () from /usr/lib/libkio.so.3
#13 0x4020f5f2 in KIO::SlaveInterface::data () from /usr/lib/libkio.so.3
#14 0x4020b4fd in KIO::SlaveInterface::dispatch () from /usr/lib/libkio.so.3
#15 0x4020a273 in KIO::Slave::gotAnswer () from /usr/lib/libkio.so.3
#16 0x40895c81 in QObject::activate_signal ()
   from /usr/lib/qt-2.3.1/lib/libqt.so.2
#17 0x408eaa76 in QSocketNotifier::activated ()
   from /usr/lib/qt-2.3.1/lib/libqt.so.2
#18 0x408c8f67 in QSocketNotifier::event ()
   from /usr/lib/qt-2.3.1/lib/libqt.so.2
#19 0x40845891 in QApplication::notify () from /usr/lib/qt-2.3.1/lib/libqt.so.2
#20 0x40563e79 in KApplication::notify () from /usr/lib/libkdecore.so.3
#21 0x4081012b in sn_activate () from /usr/lib/qt-2.3.1/lib/libqt.so.2
#22 0x40810999 in QApplication::processNextEvent ()
   from /usr/lib/qt-2.3.1/lib/libqt.so.2
#23 0x4084774c in QApplication::enter_loop ()
   from /usr/lib/qt-2.3.1/lib/libqt.so.2
#24 0x40810197 in QApplication::exec () from /usr/lib/qt-2.3.1/lib/libqt.so.2
#25 0x410509e0 in main () from /usr/lib/konqueror.so
#26 0x0804d0c4 in strcpy ()
#27 0x0804dca9 in strcpy ()
#28 0x0804e136 in strcpy ()
#29 0x0804f5a8 in strcpy ()
#30 0x40da3627 in __libc_start_main (main=0x804ef70 <strcpy+16888>, argc=3, 
    ubp_av=0xbfffdeb4, init=0x804a4d0 <_init>, fini=0x804fd10 <_fini>, 
    rtld_fini=0x4000dcc4 <_dl_fini>, stack_end=0xbfffdeac)
    at ../sysdeps/generic/libc-start.c:129
 


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Select K/system/file manager(super user mode)
2.Wait 15 to 30 seconds and watch it crash with a SIGSEGV
3.
	

Actual Results:  It crashed

Expected Results:  Nothing, it should have allowed me to use Konqueror to 
manage my file system.

Additional info:

I am totally up to date with all pathces from Red Hat. I have even run up2date -
p and then up2date and still my system is current. My server is an HP LH4 
NetServer with 2G of memory.
I use Konqueror a lot to manage my files and now I can't function so I consider 
this bug to be a high priority.
Comment 1 Bernhard Rosenkraenzer 2002-04-04 05:43:52 EST
I can't reproduce this, but the backtrace indicates the crash is happening in fam.
Comment 2 Alexander Larsson 2002-04-04 09:09:26 EST
No, it's not in fam. __builtin_delete, in __builtin_vec_delete are just
templates from c++ that are instansiated only once per app. And you happen to
get the ones in libfam.

This looks like a double free in QPixmap::convertFromImage() or a thrashed
memory allocator. It seems to be while thumbnailing a file. Maybe you have a
broken image file, can you isolate the file that causes the crash?

Also, try running konqueror with "export _LD_MALLOC_CHECK=2"
Comment 3 John Francisco 2002-04-04 15:12:38 EST
This is the response from the KDE folks:

a) It's a duplicate. b) It's already fixed, try KDE 3.0.


So it looks like the only cure is to download all the rpms for version 3 and 
install it. Will the up2date application have this soon???
Comment 4 Bernhard Rosenkraenzer 2002-04-08 08:17:11 EDT
up2date won't get KDE3 at all. No binary incompatible updates as errata. 
 
Please provide the information asked for above. 
Comment 5 Ngo Than 2004-09-20 10:05:38 EDT
Please verify this with a newer version of Red Hat Enterprise Linux or
Fedora Core and reopen it against the new version if it still occurs.

Closing as "CURRENTRELEASE" for now.

Note You need to log in before you can comment on or make changes to this bug.